Discard or restore a lead
curl --request PATCH \
--url https://api.trytikt.com/v1/leads/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.trytikt.com/v1/leads/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.trytikt.com/v1/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/leads/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.trytikt.com/v1/leads/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/leads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "<string>",
"score": 123,
"score_max": 123,
"fit_band": "<string>",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"mode": "<string>",
"verdict": "<string>",
"justification": "<string>"
}
],
"disqualifiers": [
{
"kind": "<string>",
"key": "<string>",
"label": "<string>",
"justification": "<string>"
}
],
"summary": "<string>",
"scored_at": "<string>",
"scoring_version": "<string>",
"icp_version_id": "<string>",
"engagement_count": 123,
"reaction_count": 123,
"comment_count": 123,
"signals": [
{
"id": "<string>",
"kind": "<string>",
"reaction_type": "<string>",
"text": "<string>",
"url": "<string>",
"likes": 123,
"replies": 123,
"is_pinned": true,
"is_edited": true,
"occurred_at": "<string>",
"captured_at": "<string>",
"post": {
"id": "<string>",
"linkedin_post_id": "<string>",
"urn": "<string>",
"url": "<string>",
"author": {
"type": "<string>",
"name": "<string>",
"public_id": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>"
},
"text": "<string>",
"hashtags": [
"<string>"
],
"media_type": "<string>",
"media": {
"images": [
"<string>"
],
"videos": [
"<string>"
]
},
"external_links": [
"<string>"
],
"is_repost": true,
"posted_at": "<string>",
"counters": {
"reactions": 123,
"comments": 123,
"checked_at": "<string>"
},
"tracking_status": "<string>",
"source": "<string>",
"kol": {
"id": "<string>",
"name": "<string>",
"relationship": "<string>",
"linkedin_url": "<string>"
},
"console_url": "<string>"
}
}
],
"first_seen_at": "<string>",
"last_engagement_at": "<string>",
"status_changed_at": "<string>",
"lists": [
{
"id": "<string>",
"name": "<string>",
"added_at": "<string>"
}
],
"handled": true,
"console_url": "<string>",
"person": {
"id": "<string>",
"linkedin_url": "<string>",
"linkedin_member_id": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"about": "<string>",
"picture_url": "<string>",
"location": {
"country": "<string>",
"country_code": "<string>",
"region": "<string>",
"city": "<string>"
},
"current_position": {
"title": "<string>",
"company_name": "<string>",
"company_linkedin_url": "<string>"
},
"seniority": "<string>",
"department": "<string>",
"positions": [
{
"title": "<string>",
"company_name": "<string>",
"company_linkedin_url": "<string>",
"company_linkedin_id": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"is_current": true,
"duration": "<string>",
"location": "<string>",
"employment_type": "<string>",
"workplace_type": "<string>",
"description": "<string>"
}
],
"education": [
{
"school_name": "<string>",
"school_linkedin_url": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"start_year": 123,
"end_year": 123
}
],
"languages": [
{
"name": "<string>",
"proficiency": "<string>"
}
],
"skills": [
"<string>"
],
"followers_count": 123,
"connections_count": 123,
"flags": {
"open_to_work": true,
"is_hiring": true,
"is_premium": true,
"is_influencer": true,
"is_verified": true,
"is_creator": true
},
"profile_language": "<string>",
"profile_country": "<string>",
"websites": [
"<string>"
],
"linkedin_member_since": "<string>",
"profile_read_at": "<string>"
},
"company": {
"id": "<string>",
"linkedin_company_id": "<string>",
"name": "<string>",
"universal_name": "<string>",
"linkedin_url": "<string>",
"website": "<string>",
"domain": "<string>",
"logo_url": "<string>",
"tagline": "<string>",
"about": "<string>",
"industry": "<string>",
"specialties": [
"<string>"
],
"company_size": "<string>",
"employees_count": 123,
"organization_type": "<string>",
"founded_year": 123,
"followers_count": 123,
"headquarters": "<string>",
"country_code": "<string>",
"locations": [
"<string>"
],
"enriched_at": "<string>"
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Leads
Discard or restore a lead
Discard a lead (bad_fit) or restore it (active) — the same gesture as on the Leads page. Restoring only applies to a discarded lead. Sends lead.status_changed. Requires a Read and write key.
PATCH
/
v1
/
leads
/
{id}
Discard or restore a lead
curl --request PATCH \
--url https://api.trytikt.com/v1/leads/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.trytikt.com/v1/leads/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.trytikt.com/v1/leads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trytikt.com/v1/leads/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.trytikt.com/v1/leads/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.trytikt.com/v1/leads/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trytikt.com/v1/leads/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"status": "<string>",
"score": 123,
"score_max": 123,
"fit_band": "<string>",
"criteria": [
{
"key": "<string>",
"label": "<string>",
"mode": "<string>",
"verdict": "<string>",
"justification": "<string>"
}
],
"disqualifiers": [
{
"kind": "<string>",
"key": "<string>",
"label": "<string>",
"justification": "<string>"
}
],
"summary": "<string>",
"scored_at": "<string>",
"scoring_version": "<string>",
"icp_version_id": "<string>",
"engagement_count": 123,
"reaction_count": 123,
"comment_count": 123,
"signals": [
{
"id": "<string>",
"kind": "<string>",
"reaction_type": "<string>",
"text": "<string>",
"url": "<string>",
"likes": 123,
"replies": 123,
"is_pinned": true,
"is_edited": true,
"occurred_at": "<string>",
"captured_at": "<string>",
"post": {
"id": "<string>",
"linkedin_post_id": "<string>",
"urn": "<string>",
"url": "<string>",
"author": {
"type": "<string>",
"name": "<string>",
"public_id": "<string>",
"linkedin_url": "<string>",
"avatar_url": "<string>"
},
"text": "<string>",
"hashtags": [
"<string>"
],
"media_type": "<string>",
"media": {
"images": [
"<string>"
],
"videos": [
"<string>"
]
},
"external_links": [
"<string>"
],
"is_repost": true,
"posted_at": "<string>",
"counters": {
"reactions": 123,
"comments": 123,
"checked_at": "<string>"
},
"tracking_status": "<string>",
"source": "<string>",
"kol": {
"id": "<string>",
"name": "<string>",
"relationship": "<string>",
"linkedin_url": "<string>"
},
"console_url": "<string>"
}
}
],
"first_seen_at": "<string>",
"last_engagement_at": "<string>",
"status_changed_at": "<string>",
"lists": [
{
"id": "<string>",
"name": "<string>",
"added_at": "<string>"
}
],
"handled": true,
"console_url": "<string>",
"person": {
"id": "<string>",
"linkedin_url": "<string>",
"linkedin_member_id": "<string>",
"full_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"headline": "<string>",
"about": "<string>",
"picture_url": "<string>",
"location": {
"country": "<string>",
"country_code": "<string>",
"region": "<string>",
"city": "<string>"
},
"current_position": {
"title": "<string>",
"company_name": "<string>",
"company_linkedin_url": "<string>"
},
"seniority": "<string>",
"department": "<string>",
"positions": [
{
"title": "<string>",
"company_name": "<string>",
"company_linkedin_url": "<string>",
"company_linkedin_id": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"is_current": true,
"duration": "<string>",
"location": "<string>",
"employment_type": "<string>",
"workplace_type": "<string>",
"description": "<string>"
}
],
"education": [
{
"school_name": "<string>",
"school_linkedin_url": "<string>",
"degree": "<string>",
"field_of_study": "<string>",
"start_year": 123,
"end_year": 123
}
],
"languages": [
{
"name": "<string>",
"proficiency": "<string>"
}
],
"skills": [
"<string>"
],
"followers_count": 123,
"connections_count": 123,
"flags": {
"open_to_work": true,
"is_hiring": true,
"is_premium": true,
"is_influencer": true,
"is_verified": true,
"is_creator": true
},
"profile_language": "<string>",
"profile_country": "<string>",
"websites": [
"<string>"
],
"linkedin_member_since": "<string>",
"profile_read_at": "<string>"
},
"company": {
"id": "<string>",
"linkedin_company_id": "<string>",
"name": "<string>",
"universal_name": "<string>",
"linkedin_url": "<string>",
"website": "<string>",
"domain": "<string>",
"logo_url": "<string>",
"tagline": "<string>",
"about": "<string>",
"industry": "<string>",
"specialties": [
"<string>"
],
"company_size": "<string>",
"employees_count": 123,
"organization_type": "<string>",
"founded_year": 123,
"followers_count": 123,
"headquarters": "<string>",
"country_code": "<string>",
"locations": [
"<string>"
],
"enriched_at": "<string>"
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}{
"error": {
"code": "parametre_inconnu",
"message": "<string>",
"status": 123,
"request_id": "<string>",
"details": {}
}
}Authorizations
Your API key, created in Settings › API: Authorization: Bearer tikt_live_….
Path Parameters
The lead's id.
Body
application/json
bad_fit to discard the lead, active to restore it.
Available options:
bad_fit, active Response
Success.
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Show child attributes
Show child attributes
Pattern:
^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$Pattern:
^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$Pattern:
^\d{4}-\d\d-\d\dT\d\d:\d\d:\d\dZ$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
